JNA API 3.3.0

## com.sun.jna.platform.win32
Class Tlhelp32.PROCESSENTRY32

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Tlhelp32.PROCESSENTRY32

Direct Known Subclasses:
  Tlhelp32.PROCESSENTRY32.ByReference

Enclosing interface:
  Tlhelp32

    public static class Tlhelp32.PROCESSENTRY32

extends Structure

Describes an entry from a list of the processes residing in the system address space when a snapshot was taken.

Nested Class Summary
`static class` | `Tlhelp32.PROCESSENTRY32.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinDef.DWORD` | `cntThreads` The number of execution threads started by the process.
`WinDef.DWORD` | `cntUsage` This member is no longer used and is always set to zero.
`WinDef.DWORD` | `dwFlags` This member is no longer used, and is always set to zero.
`WinDef.DWORD` | `dwSize` The size of the structure, in bytes.
`WinDef.LONG` | `pcPriClassBase` The base priority of any threads created by this process.
`char[]` | `szExeFile` The name of the executable file for the process.
`BaseTSD.ULONG_PTR` | `th32DefaultHeapID` This member is no longer used and is always set to zero.
`WinDef.DWORD` | `th32ModuleID` This member is no longer used and is always set to zero.
`WinDef.DWORD` | `th32ParentProcessID` The identifier of the process that created this process (its parent process).
`WinDef.DWORD` | `th32ProcessID` The process identifier.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Tlhelp32.PROCESSENTRY32()`
`Tlhelp32.PROCESSENTRY32(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### dwSize

    public WinDef.DWORD dwSize

  The size of the structure, in bytes. Before calling the Process32First function, set this member to sizeof(PROCESSENTRY32). If you do not initialize dwSize, Process32First fails.

### cntUsage

    public WinDef.DWORD cntUsage

  This member is no longer used and is always set to zero.

### th32ProcessID

    public WinDef.DWORD th32ProcessID

  The process identifier.

### th32DefaultHeapID

    public BaseTSD.ULONG_PTR th32DefaultHeapID

  This member is no longer used and is always set to zero.

### th32ModuleID

    public WinDef.DWORD th32ModuleID

  This member is no longer used and is always set to zero.

### cntThreads

    public WinDef.DWORD cntThreads

  The number of execution threads started by the process.

### th32ParentProcessID

    public WinDef.DWORD th32ParentProcessID

  The identifier of the process that created this process (its parent process).

### pcPriClassBase

    public WinDef.LONG pcPriClassBase

  The base priority of any threads created by this process.

### dwFlags

    public WinDef.DWORD dwFlags

  This member is no longer used, and is always set to zero.

### szExeFile

    public char[] szExeFile

  The name of the executable file for the process. To retrieve the full path to the executable file, call the Module32First function and check the szExePath member of the MODULEENTRY32 structure that is returned. However, if the calling process is a 32-bit process, you must call the QueryFullProcessImageName function to retrieve the full path of the executable file for a 64-bit process.

Constructor Detail

### Tlhelp32.PROCESSENTRY32

    public Tlhelp32.PROCESSENTRY32()

### Tlhelp32.PROCESSENTRY32

    public Tlhelp32.PROCESSENTRY32(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.